DNS automation
v1.10.0
Inspect the current API key
Returns the public key id, the granted permissions (
null = legacy key with full access), and the customer id of the authenticated API key. Used by the regfish MCP server and other integrations for capability discovery.GET
/meta/token
Meta
Authentication
Request example
GET
curl --request GET \
--url 'https://api.regfish.com/meta/token' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
API key metadata
Response example 200
{
"success": true,
"code": 0,
"response": {
"key_id": "example",
"token_l4": "example",
"permissions": [
"example"
],
"scope": "example",
"customer_id": 1
}
}401
Unauthorized
Response example 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}500
Unexpected error
Response example 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Community
Devenez membre de la communauté
L'API DNS regfish est une excellente solution pour les développeurs qui souhaitent automatiser les domaines et les zones DNS. Faites partie de la communauté et bénéficiez de l'automatisation DNS. L'API DNS est disponible gratuitement pour chaque client regfish.